Package x2go :: Module printqueue :: Class X2GoPrintJob

[frames] | no frames]

# Class X2GoPrintJob

source code

            object --+
                     |
    threading._Verbose --+
                         |
          threading.Thread --+
                             |
                            X2GoPrintJob

For each X2Go print job we create a sub-thread that let's the print job be processed in the background.

As a handler for this class the function x2go_printjob_handler() is used.

Instance Methods

__init__(self, **kwargs) Construct the X2Go print job thread... | source code

Inherited from `threading.Thread`: `__repr__`, `getName`, `isAlive`, `isDaemon`, `is_alive`, `join`, `run`, `setDaemon`, `setName`, `start` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `threading.Thread`: `daemon`, `ident`, `name` Inherited from `object`: `__class__`

Method Details

### __init__(self, **kwargs)
(Constructor)

source code

Construct the X2Go print job thread...

All parameters (**kwargs) are passed through to the constructor of `threading.Thread()`.

Overrides: object.__init__